You are not logged in.

#1 2013-08-17 11:03:41

mau5kito
Member
Registered: 2013-05-11
Posts: 6
Website

[SOLVED] Cannot build lightspark

Hi,

I have tried to build lightspark 0.7.2-1 and lightspark-git 20130215-2 from AUR but it always fails with same errors: "A failure occurred in build().".
I also tried to modify the pkgver to 0.7.1 in the lightspark PKGBUILD to see if it was verion related, but it didn't change anything.

Here is the output of lightspark 0.7.2-1 (note that I temporarily changed the locale to English to post it on the forum):

bp@bp-laptop ~
> yaourt -S lightspark

==> Downloading lightspark PKGBUILD from AUR...
bsdtar: Failed to set default locale
x PKGBUILD
x lightspark.install
Comment by tsester  (2013-02-02 15:00)
it takes too much ram while compiling

Comment by FredBezies  (2013-04-30 11:03)
0.7.2 PKGBUILD : http://pastebin.com/JR8xT9T7

Comment by cactaur  (2013-06-20 18:41)
When I tried to build, I got that it failed with an error:

[  4%] Building CXX object src/CMakeFiles/spark.dir/scripting/abc.cpp.o
/home/gregory/lightspark/src/lightspark-0.7.2/src/scripting/abc.cpp:26:25: fatal error: llvm/Module.h: No such file or directory
#include llvm/Module.h

Apparently this had to do with a change in naming in LLVM 3.3, which is now released, and that broke the code.

https://bugs.launchpad.net/lightspark/+bug/1157158

The issue was fixed in the development version, but hasn't been officially released yet. I'm not sure if there's a workaround for this release that can be incorporated into the PKGBUILD or if it should just stay broken until the official upstream release, but in the meantime, the lightspark-git package should provide a program that compiles. Just thought I'd give a heads-up.

Comment by the-kyle  (2013-08-09 17:39)
I am seeing errors similar to the following when I try to build this package.

In file included from /tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/scripting/flash/net/flashnet.h:29:0,
from /tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/swf.h:32,
from /tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/scripting/class.h:27,
from /tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/scripting/toplevel/ASString.h:23,
from /tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/allclasses.cpp:20:
/tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/backends/decoder.h:31:30: error: ‘AVCODEC_MAX_AUDIO_FRAME_SIZE’ was not declared in this scope
#define MAX_AUDIO_FRAME_SIZE AVCODEC_MAX_AUDIO_FRAME_SIZE
^
/tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/backends/decoder.h:201:19: note: in expansion of macro ‘MAX_AUDIO_FRAME_SIZE’
int16_t samples[MAX_AUDIO_FRAME_SIZE/2];
^
/tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/backends/decoder.h: In constructor ‘lightspark::AudioDecoder::FrameSamples::FrameSamples()’:
/tmp/packerbuild-1000/lightspark/lightspark/src/lightspark-0.7.2/src/backends/decoder.h:206:26: error: ‘samples’ was not declared in this scope
FrameSamples():current(samples),len(0),time(0){}
^
make[2]: *** [src/CMakeFiles/spark.dir/asobject.cpp.o] Error 1

I only included one such error here, but these appear to be numerous. Am I missing a package that hasn't been included as a dependency? I'm building on a 64-bit system with 8 processor cores that satisfies all the dependencies listed above.

Comment by dlh  (2013-08-13 15:39)
I have the same issue as @the-kyle

lightspark 0.7.2-1  (Sat Feb 11 02:47:02 CET 2012)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> lightspark dependencies:
 - gtk2 (already installed)
 - ffmpeg (already installed)
 - glew (already installed)
 - curl (already installed)
 - boost-libs (already installed)
 - libxml++ (already installed)
 - desktop-file-utils (already installed)
 - hicolor-icon-theme (already installed)
 - cmake (already installed)
 - nasm (already installed)
 - xulrunner (already installed)
 - llvm (already installed)
 - glproto (already installed)
 - boost (already installed)
 - fontconfig (already installed)


==> Edit lightspark.install ? [Y/n] ("A" to abort)
==> ----------------------------------------------
==> n

==> Continue building lightspark ? [Y/n]
==> ------------------------------------
==> 
==> Building and installing package
==> Making package: lightspark 0.7.2-1 (Sat Aug 17 12:44:43 CEST 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading lightspark-0.7.2.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  933k  100  933k    0     0   482k      0  0:00:01  0:00:01 --:--:--  756k
  -> Downloading lightspark-0.7.2.tar.gz.asc...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   490  100   490    0     0    848      0 --:--:-- --:--:-- --:--:--   848
==> Validating source files with md5sums...
    lightspark-0.7.2.tar.gz ... Passed
    lightspark-0.7.2.tar.gz.asc ... Skipped
==> Verifying source file signatures with gpg...
    lightspark-0.7.2.tar.gz ... FAILED (unknown public key B96B97E45A52AE91)
==> WARNING: Warnings have occurred while verifying the signatures.
    Please make sure you really trust them.
==> Extracting sources...
  -> Extracting lightspark-0.7.2.tar.gz with bsdtar
bsdtar: Failed to set default locale
==> Starting build()...
-- The C compiler identification is GNU 4.8.1
-- The CXX compiler identification is GNU 4.8.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Performing Test GCC_IS_4_6
-- Performing Test GCC_IS_4_6 - Success
-- Found gnash path: /usr/bin/gtk-gnash
-- The ASM-NASM compiler identification is unknown
-- Found assembler: /usr/bin/nasm
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.28") 
-- LLVM llvm-config found at: /usr/bin/llvm-config
-- LLVM version: 3.3
-- Looking for C++ include llvm/Support/TargetSelect.h
-- Looking for C++ include llvm/Support/TargetSelect.h - found
-- HAVE_SUPPORT_TARGETSELECT_H: 1
-- Looking for C++ include llvm/IRBuilder.h
-- Looking for C++ include llvm/IRBuilder.h - not found
-- HAVE_IRBUILDER_H: 
-- Looking for C++ include llvm/DataLayout.h
-- Looking for C++ include llvm/DataLayout.h - not found
-- HAVE_DATALAYOUT_H: 
-- LLVM CXX flags: -I/usr/include  -DNDEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -O3 -fomit-frame-pointer -fvisibility-inlines-hidden -fno-exceptions -fPIC -Woverloaded-virtual -Wcast-qual
-- LLVM LD flags: -L/usr/lib  -lz -lpthread -lffi -ldl -lm
-- LLVM core libs: -lLLVMLinker-lLLVMBitWriter-lLLVMBitReader-lLLVMInstrumentation-lLLVMipo-lLLVMObjCARCOpts-lLLVMVectorize-lLLVMScalarOpts-lLLVMInstCombine-lLLVMTransformUtils-lLLVMipa-lLLVMAnalysis-lLLVMTarget-lLLVMMC-lLLVMObject-lLLVMCore-lLLVMSupport
-- LLVM JIT libs: -lLLVMX86Disassembler-lLLVMX86AsmParser-lLLVMX86CodeGen-lLLVMSelectionDAG-lLLVMAsmPrinter-lLLVMMCParser-lLLVMX86Desc-lLLVMX86Info-lLLVMX86AsmPrinter-lLLVMX86Utils-lLLVMJIT-lLLVMRuntimeDyld-lLLVMExecutionEngine-lLLVMCodeGen-lLLVMObjCARCOpts-lLLVMScalarOpts-lLLVMInstCombine-lLLVMTransformUtils-lLLVMipa-lLLVMAnalysis-lLLVMTarget-lLLVMMC-lLLVMObject-lLLVMCore-lLLVMSupport
-- LLVM JIT objs: 
-- Found LLVM: /usr/include
-- Found ZLIB: /usr/lib64/libz.so (found version "1.2.8") 
-- Found Freetype: /usr/lib64/libfreetype.so  
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Found OpenGL: /usr/lib64/libGL.so  
-- Found GLEW: /usr/lib64/libGLEW.so  
-- Found PCRE: /usr/lib64/libpcre.so  
-- Found JPEG: /usr/lib64/libjpeg.so  
-- Found PNG: /usr/lib64/libpng.so (found version "1.6.3") 
-- checking for module 'libxml++-2.6>=2.33.1'
--   found libxml++-2.6, version 2.36.0
-- checking for module 'liblzma'
--   found liblzma, version 5.0.5
-- Boost version: 1.54.0
-- Found the following Boost libraries:
--   filesystem
--   system
-- checking for modules 'cairo;pangocairo'
--   found cairo, version 1.12.14
--   found pangocairo, version 1.34.1
-- checking for module 'x11'
--   found x11, version 1.6.1
-- checking for modules 'libavcodec;libavutil;libavformat'
--   found libavcodec, version 55.18.102
--   found libavutil, version 52.38.100
--   found libavformat, version 55.12.100
-- Looking for avcodec_decode_video2
-- Looking for avcodec_decode_video2 - found
-- Looking for avcodec_decode_audio3
-- Looking for avcodec_decode_audio3 - found
-- Looking for avcodec_decode_audio4
-- Looking for avcodec_decode_audio4 - found
-- Looking for avio_alloc_context
-- Looking for avio_alloc_context - found
-- Looking for avcodec_alloc_context3
-- Looking for avcodec_alloc_context3 - found
-- Looking for avcodec_open2
-- Looking for avcodec_open2 - found
-- Looking for avformat_close_input
-- Looking for avformat_close_input - found
-- Looking for avformat_find_stream_info
-- Looking for avformat_find_stream_info - found
-- checking for module 'glib-2.0'
--   found glib-2.0, version 2.36.3
-- checking for module 'gthread-2.0'
--   found gthread-2.0, version 2.36.3
-- checking for module 'gmodule-2.0'
--   found gmodule-2.0, version 2.36.3
-- checking for module 'glibmm-2.4'
--   found glibmm-2.4, version 2.36.2
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.24.20
-- checking for module 'libcurl'
--   found libcurl, version 7.32.0
-- checking for module 'librtmp'
--   found librtmp, version v2.4
-- Looking for C++ include atomic
-- Looking for C++ include atomic - found
-- checking for module 'libpulse'
--   found libpulse, version 4.0
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/bld
Scanning dependencies of target translations
[  1%] Scanning dependencies of target spark
[  2%] [  3%] Generating fr.gmo
Generating pl.gmo
Generating zh_CN.gmo
[  3%] Built target translations
[  4%] [  5%] [  6%] [  7%] Building CXX object src/CMakeFiles/spark.dir/compat.cpp.o
Building CXX object src/CMakeFiles/spark.dir/allclasses.cpp.o
Building CXX object src/CMakeFiles/spark.dir/asobject.cpp.o
Building CXX object src/CMakeFiles/spark.dir/logger.cpp.o
[  8%] Building CXX object src/CMakeFiles/spark.dir/memory_support.cpp.o
[  9%] Building CXX object src/CMakeFiles/spark.dir/swf.cpp.o
In file included from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/flash/net/flashnet.h:29:0,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.h:32,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/class.h:27,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/toplevel/ASString.h:23,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/allclasses.cpp:20:
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:31:30: error: 'AVCODEC_MAX_AUDIO_FRAME_SIZE' was not declared in this scope
 #define MAX_AUDIO_FRAME_SIZE AVCODEC_MAX_AUDIO_FRAME_SIZE
                              ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:201:19: note: in expansion of macro 'MAX_AUDIO_FRAME_SIZE'
   int16_t samples[MAX_AUDIO_FRAME_SIZE/2];
                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h: In constructor 'lightspark::AudioDecoder::FrameSamples::FrameSamples()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:206:26: error: 'samples' was not declared in this scope
   FrameSamples():current(samples),len(0),time(0){}
                          ^
In file included from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/flash/net/flashnet.h:29:0,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.h:32,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/class.h:27,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/parsing/tags.h:29,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/abc.h:25,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/asobject.cpp:20:
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:31:30: error: 'AVCODEC_MAX_AUDIO_FRAME_SIZE' was not declared in this scope
 #define MAX_AUDIO_FRAME_SIZE AVCODEC_MAX_AUDIO_FRAME_SIZE
                              ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:201:19: note: in expansion of macro 'MAX_AUDIO_FRAME_SIZE'
   int16_t samples[MAX_AUDIO_FRAME_SIZE/2];
                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h: In constructor 'lightspark::AudioDecoder::FrameSamples::FrameSamples()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:206:26: error: 'samples' was not declared in this scope
   FrameSamples():current(samples),len(0),time(0){}
                          ^
In file included from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/flash/net/flashnet.h:29:0,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.h:32,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/memory_support.cpp:21:
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:31:30: error: 'AVCODEC_MAX_AUDIO_FRAME_SIZE' was not declared in this scope
 #define MAX_AUDIO_FRAME_SIZE AVCODEC_MAX_AUDIO_FRAME_SIZE
                              ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:201:19: note: in expansion of macro 'MAX_AUDIO_FRAME_SIZE'
   int16_t samples[MAX_AUDIO_FRAME_SIZE/2];
                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h: In constructor 'lightspark::AudioDecoder::FrameSamples::FrameSamples()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:206:26: error: 'samples' was not declared in this scope
   FrameSamples():current(samples),len(0),time(0){}
                          ^
In file included from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/flash/net/flashnet.h:29:0,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.h:32,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/class.h:27,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/parsing/tags.h:29,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/scripting/abc.h:25,
                 from /tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:23:
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:31:30: error: 'AVCODEC_MAX_AUDIO_FRAME_SIZE' was not declared in this scope
 #define MAX_AUDIO_FRAME_SIZE AVCODEC_MAX_AUDIO_FRAME_SIZE
                              ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:201:19: note: in expansion of macro 'MAX_AUDIO_FRAME_SIZE'
   int16_t samples[MAX_AUDIO_FRAME_SIZE/2];
                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h: In constructor 'lightspark::AudioDecoder::FrameSamples::FrameSamples()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/backends/decoder.h:206:26: error: 'samples' was not declared in this scope
   FrameSamples():current(samples),len(0),time(0){}
                          ^
make[2]: *** [src/CMakeFiles/spark.dir/allclasses.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [src/CMakeFiles/spark.dir/asobject.cpp.o] Error 1
make[2]: *** [src/CMakeFiles/spark.dir/memory_support.cpp.o] Error 1
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp: In function 'lightspark::SystemState* lightspark::getSys()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:58:35: warning: 'void* g_static_private_get(GStaticPrivate*)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:246): Use 'g_private_get' instead [-Wdeprecated-declarations]
  SystemState* ret = (SystemState*)g_static_private_get(&tls_system);
                                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:58:67: warning: 'void* g_static_private_get(GStaticPrivate*)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:246): Use 'g_private_get' instead [-Wdeprecated-declarations]
  SystemState* ret = (SystemState*)g_static_private_get(&tls_system);
                                                                   ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp: In function 'void lightspark::setTLSSys(lightspark::SystemState*)':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:64:9: warning: 'void g_static_private_set(GStaticPrivate*, gpointer, GDestroyNotify)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:249): Use 'g_private_set' instead [-Wdeprecated-declarations]
         g_static_private_set(&tls_system,sys,NULL);
         ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:64:50: warning: 'void g_static_private_set(GStaticPrivate*, gpointer, GDestroyNotify)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:249): Use 'g_private_set' instead [-Wdeprecated-declarations]
         g_static_private_set(&tls_system,sys,NULL);
                                                  ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp: In function 'lightspark::ParseThread* lightspark::getParseThread()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:70:34: warning: 'void* g_static_private_get(GStaticPrivate*)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:246): Use 'g_private_get' instead [-Wdeprecated-declarations]
  ParseThread* pt = (ParseThread*)g_static_private_get(&parse_thread_tls);
                                  ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:70:72: warning: 'void* g_static_private_get(GStaticPrivate*)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:246): Use 'g_private_get' instead [-Wdeprecated-declarations]
  ParseThread* pt = (ParseThread*)g_static_private_get(&parse_thread_tls);
                                                                        ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp: In member function 'virtual void lightspark::ParseThread::execute()':
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:1274:2: warning: 'void g_static_private_set(GStaticPrivate*, gpointer, GDestroyNotify)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:249): Use 'g_private_set' instead [-Wdeprecated-declarations]
  g_static_private_set(&parse_thread_tls,this,NULL);
  ^
/tmp/yaourt-tmp-bp/aur-lightspark/src/lightspark-0.7.2/src/swf.cpp:1274:50: warning: 'void g_static_private_set(GStaticPrivate*, gpointer, GDestroyNotify)' is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:249): Use 'g_private_set' instead [-Wdeprecated-declarations]
  g_static_private_set(&parse_thread_tls,this,NULL);
                                                  ^
make[2]: *** [src/CMakeFiles/spark.dir/swf.cpp.o] Error 1
make[1]: *** [src/CMakeFiles/spark.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build lightspark.
==> Restart building lightspark ? [y/N]
==> -----------------------------------
==>

I can't find if it is related to the lighspark code or if it is specific to Arch Linux.

Last edited by mau5kito (2013-08-17 14:48:24)

Offline

#2 2013-08-17 12:28:05

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,779
Website

Re: [SOLVED] Cannot build lightspark

It seems lightspark was written for an old version of ffmpeg.  I was able to solve some problems with patches, but more and more would keep popping up.

There is a -git version which should work.  I'm compiling it now to verify - and so far so good (but it's taking a while on my old hardware).

EDIT: confirmed, lightspark-git builds fine.

Last edited by Trilby (2013-08-17 12:37:31)


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#3 2013-08-17 14:44:49

mau5kito
Member
Registered: 2013-05-11
Posts: 6
Website

Re: [SOLVED] Cannot build lightspark

Indeed, lightspark-git builds whithout error now.

The issue was in the lightspark code, someone fixed it yesterday apparently: fix compilation with ffmpeg 2.0.

Problem solved.

Offline

Board footer

Powered by FluxBB